@use './styles/layout-columns.variables' as *;

:host {
  @include digi-layout-columns--variables;

  .digi-layout-columns {
    display: grid;
    grid-column-gap: var(--digi--layout-columns--gap--column);
    grid-row-gap: var(--digi--layout-columns--gap--row);

    grid-template-columns: repeat(
      auto-fit,
      minmax(var(--digi--layout-columns--min-width), 1fr)
    );

    &--column-gap-32 {
      --digi--layout-columns--gap--column: var(
        --digi--layout-columns--gap--column--32
      );
    }

    &--one {
      --digi--layout-columns--min-width: 100%;
    }

    &--two {
      --digi--layout-columns--min-width: calc(
        50% - var(--digi--layout-columns--gap--column)
      );
    }

    &--three {
      --digi--layout-columns--min-width: calc(
        33% - var(--digi--layout-columns--gap--column)
      );
    }

    &--four {
      --digi--layout-columns--min-width: calc(
        25% - var(--digi--layout-columns--gap--column)
      );
    }
  }
}
